GNU bug report logs - #41954
[PATCH] gnu: Add gmic.

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: guix-patches; Reported by: Vinicius Monego <monego@HIDDEN>; Keywords: fixed patch; Done: Ludovic Courtès <ludo@HIDDEN>; Maintainer for guix-patches is guix-patches@HIDDEN.
bug closed, send any further explanations to 41954 <at> debbugs.gnu.org and Vinicius Monego <monego@HIDDEN> Request was from Ludovic Courtès <ludo@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Added tag(s) fixed. Request was from Ludovic Courtès <ludo@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 41954 <at> debbugs.gnu.org:


Received: (at 41954) by debbugs.gnu.org; 22 Jun 2020 22:01:55 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Jun 22 18:01:55 2020
Received: from localhost ([127.0.0.1]:34823 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jnUVm-0003lh-Q7
	for submit <at> debbugs.gnu.org; Mon, 22 Jun 2020 18:01:55 -0400
Received: from mout02.posteo.de ([185.67.36.66]:47507)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <monego@HIDDEN>) id 1jnUVj-0003lQ-9N
 for 41954 <at> debbugs.gnu.org; Mon, 22 Jun 2020 18:01:53 -0400
Received: from submission (posteo.de [89.146.220.130]) 
 by mout02.posteo.de (Postfix) with ESMTPS id C5AB72400FC
 for <41954 <at> debbugs.gnu.org>; Tue, 23 Jun 2020 00:01:44 +0200 (CEST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=posteo.net; s=2017;
 t=1592863304; bh=aWbNmbhbL5YWdqOma0oKnTurxZsm8jVWBJmqwgiVIe4=;
 h=Subject:From:To:Date:From;
 b=Cq8+mcu6yePDt74kNNtHT0UgeXCABcAx+zBMNR90gO6J7vM+x1b1Hp2Fo5dpS22aB
 B/BHZYmEluNrYA43vJCQneqhMqS7TDduiqoZKS9/7XAYM0bQOCJ2LPrk5RXYvDfZ5b
 z1Z6h67DiNt1H/epVQaf11k8vqm81Re4zQqzVs9Gl83LYtiMtEf5gEc07Bv4ZHeq3T
 1p2hwZP+Q+SALVOhhEbUZoutKS1wIqc7FpFCfOpk5LqBv0Mhm4GZlKQGEbiWYMjkeu
 ZEwkvYjiLI66xGlwVBjzj1UFJGYcYMKMUpaYdb79dgzYfkmXOJcCY1TxB1+NhK+y/i
 xLHzrfUoABfSg==
Received: from customer (localhost [127.0.0.1])
 by submission (posteo.de) with ESMTPSA id 49rNfb0cXrz6tmN;
 Tue, 23 Jun 2020 00:01:42 +0200 (CEST)
Message-ID: <56c2220a8ca0246e3d13857b11376becbb79cd8a.camel@HIDDEN>
Subject: Re: [bug#41954] [PATCH] gnu: Add gmic.
From: Vinicius Monego <monego@HIDDEN>
To: Marius Bakke <marius@HIDDEN>, 41954 <at> debbugs.gnu.org
Date: Mon, 22 Jun 2020 19:01:38 -0300
In-Reply-To: <87366mby84.fsf@HIDDEN>
References: <20200619202625.35415-1-monego@HIDDEN> <87366mby84.fsf@HIDDEN>
Content-Type: text/plain; charset="UTF-8"
User-Agent: Evolution 3.30.5-1.1 
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: -1.6 (-)
X-Debbugs-Envelope-To: 41954
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.6 (--)

Em seg, 2020-06-22 às 23:13 +0200, Marius Bakke escreveu:
> Vinicius Monego <monego@HIDDEN> writes:
> 
> > * gnu/packages/image-processing.scm (gmic): New variable.
> 
> [...]
>   
> > +(define-public gmic
> > +  (package
> > +    (name "gmic")
> > +    (version "2.9.1")
> > +    (source
> > +     (origin
> > +      (method url-fetch)
> > +      (uri (string-append
> > +            "https://gmic.eu/files/source/gmic_"
> > +            version ".tar.gz"))
> > +      (sha256
> > +       (base32
> > "13axx7nwchn6ysgpvlw3fib474q4nrwv3qn20g3q03ldid0xvjah"))))
> > +    (build-system cmake-build-system)
> > +    (arguments
> > +     `(#:tests? #f))
> 
> Can you add a comment about why tests are disabled?

Yes, there are no tests.

> > +    (native-inputs
> > +     `(("pkg-config" ,pkg-config)))
> > +    (inputs
> > +     `(("curl" ,curl)
> > +       ("fftw" ,fftw)
> > +       ("graphicsmagick" ,graphicsmagick)
> > +       ("libjpeg-turbo" ,libjpeg-turbo)
> > +       ("libpng" ,libpng)
> > +       ("libtiff" ,libtiff)
> > +       ("libx11" ,libx11)
> > +       ;;("opencv" ,opencv) ; OpenCV is currently broken in the CI
> 
> :-(
> 
> > +       ("openexr" ,openexr)
> > +       ("zlib" ,zlib)))
> > +    (home-page "https://gmic.eu/")
> > +    (synopsis "Full-featured framework for digital image
> > processing")
> > +    (description "G'MIC is a full-featured framework for digital
> > image
> > +processing.  It provides several user interfaces to convert /
> > manipulate
> > +/ filter / visualize generic image datasets, ranging from 1D
> > scalar
> > +signals to 3D+t sequences of multi-spectral volumetric images,
> > hence
> > +including 2D color images.")
> > +    (license (list license:cecill ;; G'MIC is dual-licensed.
> > +                   license:cecill-c))))
> 
> Can you expand on the license comment a bit?  Can the user choose
> which
> license, or do both apply somehow?

This is an excerpt from the copyright header in one of the files:

 #  This software is governed either by the CeCILL or the CeCILL-C
license
 #  under French law and abiding by the rules of distribution of free
software.

From my limited understanding, the user can choose either.

I will send a v2 with the proposed changes.

> Otherwise LGTM, thanks!





Information forwarded to guix-patches@HIDDEN:
bug#41954; Package guix-patches. Full text available.

Message received at 41954 <at> debbugs.gnu.org:


Received: (at 41954) by debbugs.gnu.org; 22 Jun 2020 21:13:44 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Jun 22 17:13:44 2020
Received: from localhost ([127.0.0.1]:34729 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jnTlA-0002Yo-FV
	for submit <at> debbugs.gnu.org; Mon, 22 Jun 2020 17:13:44 -0400
Received: from eggs.gnu.org ([209.51.188.92]:35794)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <marius@HIDDEN>) id 1jnTl8-0002Ya-SK
 for 41954 <at> debbugs.gnu.org; Mon, 22 Jun 2020 17:13:43 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:49300)
 by eggs.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <marius@HIDDEN>)
 id 1jnTl2-0005T6-Qk; Mon, 22 Jun 2020 17:13:36 -0400
Received: from ti0006q161-3115.bb.online.no ([88.95.106.80]:59158
 helo=localhost)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <marius@HIDDEN>)
 id 1jnTl1-0002s8-D8; Mon, 22 Jun 2020 17:13:36 -0400
From: Marius Bakke <marius@HIDDEN>
To: Vinicius Monego <monego@HIDDEN>, 41954 <at> debbugs.gnu.org
Subject: Re: [bug#41954] [PATCH] gnu: Add gmic.
In-Reply-To: <20200619202625.35415-1-monego@HIDDEN>
References: <20200619202625.35415-1-monego@HIDDEN>
Date: Mon, 22 Jun 2020 23:13:31 +0200
Message-ID: <87366mby84.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/signed; boundary="=-=-=";
 micalg=pgp-sha512; protocol="application/pgp-signature"
X-Spam-Score: -1.6 (-)
X-Debbugs-Envelope-To: 41954
Cc: Vinicius Monego <monego@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.6 (--)

--=-=-=
Content-Type: text/plain
Content-Transfer-Encoding: quoted-printable

Vinicius Monego <monego@HIDDEN> writes:

> * gnu/packages/image-processing.scm (gmic): New variable.

[...]
=20=20
> +(define-public gmic
> +  (package
> +    (name "gmic")
> +    (version "2.9.1")
> +    (source
> +     (origin
> +      (method url-fetch)
> +      (uri (string-append
> +            "https://gmic.eu/files/source/gmic_"
> +            version ".tar.gz"))
> +      (sha256
> +       (base32 "13axx7nwchn6ysgpvlw3fib474q4nrwv3qn20g3q03ldid0xvjah"))))
> +    (build-system cmake-build-system)
> +    (arguments
> +     `(#:tests? #f))

Can you add a comment about why tests are disabled?

> +    (native-inputs
> +     `(("pkg-config" ,pkg-config)))
> +    (inputs
> +     `(("curl" ,curl)
> +       ("fftw" ,fftw)
> +       ("graphicsmagick" ,graphicsmagick)
> +       ("libjpeg-turbo" ,libjpeg-turbo)
> +       ("libpng" ,libpng)
> +       ("libtiff" ,libtiff)
> +       ("libx11" ,libx11)
> +       ;;("opencv" ,opencv) ; OpenCV is currently broken in the CI

:-(

> +       ("openexr" ,openexr)
> +       ("zlib" ,zlib)))
> +    (home-page "https://gmic.eu/")
> +    (synopsis "Full-featured framework for digital image processing")
> +    (description "G'MIC is a full-featured framework for digital image
> +processing.  It provides several user interfaces to convert / manipulate
> +/ filter / visualize generic image datasets, ranging from 1D scalar
> +signals to 3D+t sequences of multi-spectral volumetric images, hence
> +including 2D color images.")
> +    (license (list license:cecill ;; G'MIC is dual-licensed.
> +                   license:cecill-c))))

Can you expand on the license comment a bit?  Can the user choose which
license, or do both apply somehow?

Otherwise LGTM, thanks!

--=-=-=
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iQEzBAEBCgAdFiEEu7At3yzq9qgNHeZDoqBt8qM6VPoFAl7xHvsACgkQoqBt8qM6
VPoN9Qf/SBHJoKX0VBftez4iUrrr7u0FYsDXwHxJrNRn/bkACxFdSE7U32KCty5/
c1vYWWjQ6SKMLYQOi1e+U/gZjrj0ha4YZPsLweHUK/IjtyTZA3zh/8fJ+H3pc1aO
adZDmf+auxngDaefazRGJw3Yfqva/hG4ofr9hcba52WhZwgkgW6pzXjBx52mJbYt
ZPZe15MymO7JBY/DEyE5Kw757EexK6sb3howEaGTPqxN6wmtiCwLLyqv77kTeRFR
6v/Q+Kknrmz8Fv5WYhqIMFMh4igdKX4fXGZbid//VD+jN3qpbMCWRtyCupmHNbuC
Sy8Mm3gJO55WbnE3EvUbMHX6oifggg==
=S0x8
-----END PGP SIGNATURE-----
--=-=-=--




Information forwarded to guix-patches@HIDDEN:
bug#41954; Package guix-patches. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 19 Jun 2020 20:26:59 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Jun 19 16:26:59 2020
Received: from localhost ([127.0.0.1]:56871 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jmNbG-0001v5-PI
	for submit <at> debbugs.gnu.org; Fri, 19 Jun 2020 16:26:59 -0400
Received: from lists.gnu.org ([209.51.188.17]:52652)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <monego@HIDDEN>) id 1jmNbC-0001uU-7v
 for submit <at> debbugs.gnu.org; Fri, 19 Jun 2020 16:26:57 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:48998)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <monego@HIDDEN>) id 1jmNbB-0003cE-Ou
 for guix-patches@HIDDEN; Fri, 19 Jun 2020 16:26:54 -0400
Received: from mout02.posteo.de ([185.67.36.66]:40605)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <monego@HIDDEN>) id 1jmNb8-00047g-Uo
 for guix-patches@HIDDEN; Fri, 19 Jun 2020 16:26:53 -0400
Received: from submission (posteo.de [89.146.220.130]) 
 by mout02.posteo.de (Postfix) with ESMTPS id 2E4812400FB
 for <guix-patches@HIDDEN>; Fri, 19 Jun 2020 22:26:48 +0200 (CEST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=posteo.net; s=2017;
 t=1592598408; bh=3GEOKZonZYl0STpfCfZD2B25gy4AiSTaGEXWvZt25xw=;
 h=From:To:Cc:Subject:Date:From;
 b=jU9uv/RIeVHyAWFHUPIoWdaZ4m2WPNtJ2NitUJi5kWTWL6e1qWNC+Mubwp3FaX7Gs
 tGOXY69GT8O/TjoOV8dfmdUR/1V9vaK2+oxrKx70QbeF8Jt1zYzY/N/Tq6Enfc2yjh
 pExceKATcSvz7oxVVhJtCe3OHR0VAlQ9INNqgyug+BSyYV1x7L5KMYI3GfKDspxSD6
 AgH0Ou6OuxLQx/jEuM6m77oiQOFJN69OjVdFuWF5+c6KYfB4fVOSdGcPsZ4kGSnu8K
 T+XRh/86swmf8vginTPqtuktSsaoV7FvgHf+vmSpchS8Tt4EBLCc2YBTFf/15LqI6E
 az6YS7giw0hLA==
Received: from customer (localhost [127.0.0.1])
 by submission (posteo.de) with ESMTPSA id 49pVhQ4Sk9z9rxQ;
 Fri, 19 Jun 2020 22:26:46 +0200 (CEST)
From: Vinicius Monego <monego@HIDDEN>
To: guix-patches@HIDDEN
Subject: [PATCH] gnu: Add gmic.
Date: Fri, 19 Jun 2020 17:26:25 -0300
Message-Id: <20200619202625.35415-1-monego@HIDDEN>
X-Mailer: git-send-email 2.20.1
MIME-Version: 1.0
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: 8bit
Received-SPF: pass client-ip=185.67.36.66; envelope-from=monego@HIDDEN;
 helo=mout02.posteo.de
X-detected-operating-system: by eggs.gnu.org: First seen = 2020/06/19 16:13:20
X-ACL-Warn: Detected OS   = Linux 3.11 and newer
X-Spam_score_int: -42
X-Spam_score: -4.3
X-Spam_bar: ----
X-Spam_report: (-4.3 / 5.0 requ) BAYES_00=-1.9, DKIM_SIGNED=0.1,
 DKIM_VALID=-0.1, DKIM_VALID_AU=-0.1, DKIM_VALID_EF=-0.1,
 RCVD_IN_DNSWL_MED=-2.3, RCVD_IN_MSPIKE_H4=-0.01, RCVD_IN_MSPIKE_WL=-0.01,
 SPF_HELO_NONE=0.001, SPF_PASS=-0.001, URIBL_BLOCKED=0.001,
 URIBL_SBL_A=0.1 autolearn=_AUTOLEARN
X-Spam_action: no action
X-Spam-Score: -0.6 (/)
X-Debbugs-Envelope-To: submit
Cc: Vinicius Monego <monego@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.6 (-)

* gnu/packages/image-processing.scm (gmic): New variable.
---
 gnu/packages/image-processing.scm | 39 +++++++++++++++++++++++++++++++
 1 file changed, 39 insertions(+)

diff --git a/gnu/packages/image-processing.scm b/gnu/packages/image-processing.scm
index 801dc70149..efafcbacf0 100644
--- a/gnu/packages/image-processing.scm
+++ b/gnu/packages/image-processing.scm
@@ -9,6 +9,7 @@
 ;;; Copyright © 2018 Lprndn <guix@HIDDEN>
 ;;; Copyright © 2019 Efraim Flashner <efraim@HIDDEN>
 ;;; Copyright © 2020 Vincent Legoll <vincent.legoll@HIDDEN>
+;;; Copyright © 2020 Vinicius Monego <monego@HIDDEN>
 ;;;
 ;;; This file is part of GNU Guix.
 ;;;
@@ -487,6 +488,44 @@ quickly, especially on machines with more than one CPU core.  This is primarily
 due to its architecture which automatically parallelises the image workflows.")
     (license license:lgpl2.1+)))
 
+(define-public gmic
+  (package
+    (name "gmic")
+    (version "2.9.1")
+    (source
+     (origin
+      (method url-fetch)
+      (uri (string-append
+            "https://gmic.eu/files/source/gmic_"
+            version ".tar.gz"))
+      (sha256
+       (base32 "13axx7nwchn6ysgpvlw3fib474q4nrwv3qn20g3q03ldid0xvjah"))))
+    (build-system cmake-build-system)
+    (arguments
+     `(#:tests? #f))
+    (native-inputs
+     `(("pkg-config" ,pkg-config)))
+    (inputs
+     `(("curl" ,curl)
+       ("fftw" ,fftw)
+       ("graphicsmagick" ,graphicsmagick)
+       ("libjpeg-turbo" ,libjpeg-turbo)
+       ("libpng" ,libpng)
+       ("libtiff" ,libtiff)
+       ("libx11" ,libx11)
+       ;;("opencv" ,opencv) ; OpenCV is currently broken in the CI
+       ("openexr" ,openexr)
+       ("zlib" ,zlib)))
+    (home-page "https://gmic.eu/")
+    (synopsis "Full-featured framework for digital image processing")
+    (description "G'MIC is a full-featured framework for digital image
+processing.  It provides several user interfaces to convert / manipulate
+/ filter / visualize generic image datasets, ranging from 1D scalar
+signals to 3D+t sequences of multi-spectral volumetric images, hence
+including 2D color images.")
+    (license (list license:cecill ;; G'MIC is dual-licensed.
+                   license:cecill-c))))
+
 (define-public nip2
   (package
     (name "nip2")
-- 
2.20.1





Acknowledgement sent to Vinicius Monego <monego@HIDDEN>:
New bug report received and forwarded. Copy sent to guix-patches@HIDDEN. Full text available.
Report forwarded to guix-patches@HIDDEN:
bug#41954; Package guix-patches. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Fri, 3 Jul 2020 22:00:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.